User Support v2.0

Release Notes

2.0 (2015-07-08):

  • changes for Elgg 1.9
  • changed: site FAQ to one sidebar
  • fixed: forgot to get the entity
  • fixed: wsod on support ticket edit #19
  • Hi, thanks for the useful plugin. 

    Two questions:

    • How can I assign Support Staff to handle tickets?
    • How can I notify Support Staff when a ticket is created?

    Thanks!

  • @javier

    How can I assign Support Staff to handle tickets?

    Go to the profile of the user and from the user menu add him/her to the staff. This is also where you can remove a user from the staff

    How can I notify Support Staff when a ticket is created?

    All support staff will receive a notification on a new support ticket

  • Dear Jerome Bakker, I am using User Support v2.0 Plug for my site www.myhotfb.com Site registration is open. I used this plug to connect with User Support Group. I am able to create FAQs fine but unable to edit or delete. When I try to do that I get an error "InvalidClassException:NotValidElggStar" .  I do have admin privileges. Furthermore, when I try to click on  Read more  of an FAQ instead of showing me the FAQ answer  it redirects me to river which is www.myhotfb.com .

    I would appreciate if you register to my site and look into this Plug issue. BTW, I am using

    Elgg version : Release - 2.3.4, Version - 2016092300, and PHP 5.6.32
  • I have Elgg 2.3.2 and had plugin user support 1.9 installed and it worked normally but it appeared on the errors page, the errors below.then I decided to install updated version in GitHub. Even so, nothing has changed. Ataulizei and cleared cache and nada.Can anyone help?
     
    
     

    [Fri Sep 28 13:24:10 2018] [error] [client 172.68.25.104] PHP WARNING: 2018-09-28 13:24:10 (EDT): "Declaration of UserSupportFAQ::canComment($user_guid = 0) should be compatible with ElggObject::canComment($user_guid = 0, $default = NULL)" in file /home/familia1/public_html/mod/user_supportOLDDESATIVADO/classes/UserSupportFAQ.php (line 76), referer: http://www.chocolateswing.com.br/activity/
    [Fri Sep 28 13:24:09 2018] [error] [client 172.68.27.130] PHP WARNING: 2018-09-28 13:24:09 (EDT): "Declaration of UserSupportFAQ::canComment($user_guid = 0) should be compatible with ElggObject::canComment($user_guid = 0, $default = NULL)" in file /home/familia1/public_html/mod/user_supportOLDDESATIVADO/classes/UserSupportFAQ.php (line 76), referer: http://www.chocolateswing.com.br/activity/
    [Fri Sep 28 13:24:09 2018] [error] [client 172.68.27.10] PHP WARNING: 2018-09-28 13:24:09 (EDT): "Declaration of UserSupportFAQ::canComment($user_guid = 0) should be compatible with ElggObject::canComment($user_guid = 0, $default = NULL)" in file /home/familia1/public_html/mod/user_supportOLDDESATIVADO/classes/UserSupportFAQ.php (line 76), referer: http://www.chocolateswing.com.br/cache/1538155239/default/elgg.css
    [Fri Sep 28 13:24:09 2018] [error] [client 172.68.26.147] PHP WARNING: 2018-09-28 13:24:09 (EDT): "Declaration of UserSupportFAQ::canComment($user_guid = 0) should be compatible with ElggObject::canComment($user_guid = 0, $default = NULL)" in file /home/familia1/public_html/mod/user_supportOLDDESATIVADO/classes/UserSupportFAQ.php (line 76), referer: http://www.chocolateswing.com.br/cache/1538155239/default/elgg.css

  • thank you, iionly. I tried this but it did not work. It seems that even disabling old version when active the new the old data remains ...

Jerome Bakker

Developer @ ColdTrick IT Solutions

Stats

  • Category: Communication
  • License: GNU General Public License (GPL) version 2
  • Updated: 2015-7-8
  • Downloads: 1908
  • Recommendations: 20

Other Projects

View Jerome Bakker's plugins